GET /instances/{id}/preview

orthanc-server.com

Summary: Decode an image (preview)
Operation ID:
Auth: unknown
Description

Decode the first frame of the given DICOM instance. The full dynamic range of grayscale images is rescaled to the [0,255] range.

Parameters (4)

Accept (string, header, optional)

Format of the resulting image. Can be `image/png` (default), `image/jpeg` or `image/x-portable-arbitrarymap`

id (string, path, required)

Orthanc identifier of the DICOM instance of interest

quality (number, query, optional)

Quality for JPEG images (between 1 and 100, defaults to 90)

returnUnsupportedImage (boolean, query, optional)

Returns an unsupported.png placeholder image if unable to provide the image instead of returning a 415 HTTP error (defaults to false)

No probe data for this endpoint yet.